<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.AD_ID" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />

    <application
        android:name=".TrendyApp"
        android:allowBackup="true"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/net"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/MyKeyBoard"
        tools:replace="networkSecurityConfig"
        tools:targetApi="31">
        <activity
            android:name=".trendyuiactivity.TrendyCategoryListActivity"
            android:exported="false" />
        <activity
            android:name="com.keyborad.theme.trendyborad.SplashActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            tools:ignore="DiscouragedApi,LockedOrientationActivity">
            <intent-filter>
                <action android:name="best.log" />
                <category android:name="best.facebook.go.log" />

                <action android:name="best.wash.param" />
                <category android:name="best.wash.param.go" />

                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".trendyuiactivity.TrendySetKeyboardActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".trendyuiactivity.TrendySuccessPreviewActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".trendyuiactivity.TrendyCategoryActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name=".environment.MainActivity2"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <service
            android:name=".trendykeyboardhelper.TrendyMyInputMethodService"
            android:exported="true"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>

            <meta-data
                android:name="android.view.im"
                android:resource="@xml/keyborad_xml" />
        </service>
    </application>

</manifest>